* {
  border: 1px solid red;
  border-radius: 5px;
}

/* *** HEADER ************************************************************** */
/* header nav ul {
    list-style-type: none;
    display: flex;
    justify-content: space-around;
} */
header nav ul,
main nav ul {
  /* width: 80%; */
  list-style-type: none;
  display: flex;
  justify-content: space-around;
  /* align-content:space-around; */
}
/* *** GLOBAL Styles ******************************************************** */
h1,
h2 {
  text-align: center;
}
.txt-0margin {
  margin-top: 0px;
  margin-bottom: 0px;
}
.w-70 {
  width: 70%;
}
.w-100 {
  width: 100%;
}
/* *** MAIN *************************************************************** */
main {
  display: flex;
  flex-direction: column;
  /* justify-content:center; */
  align-items: center;
}
main nav {
  width: 80%;
}

/* form ======== flex === */
form {
  display: flex;
  flex-direction: column;
  /* align-items: center; */
}
.ligne,
.ligne-center {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
}
.ligne-center {
  /* pas utilisé: a jeter*/
  align-items: center;
}
.v-center {
  align-items: center;
}
.h-center {
  justify-content: space-around;
}

.col {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
}
.col-center {
  display: flex;
  flex-direction: column;
}

label {
  flex: 1;
}
input {
  flex: 3;
}
form textarea {
  flex: 3;
}
form input[type="submit"] {
  flex: 0.5;
}
.flx2-3 {
  flex: 2;
}
.flx1-10 {
  flex: 1;
}
.flx9-10 {
  flex: 9;
}
/* div #proj-elt form{ Est ce que je peux recupperer les form dans div ...
    width: 100%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: flex-start;
    align-items: center;
    align-content: center; 
} */
/* form specifique...: avec check box... ***********************/
/* form #proj-ligne {
    height: 100%;
} */
#data-info,
#data-value {
  /* height: 200px; */
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
}
form #proj-ligne #proj-select {
  flex: 1;
  height: 100px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
}
form #proj-ligne #proj-infos {
  flex: 10;

  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
}
.flew-1-11 {
  flex: 1;
}
.flew-10-11 {
  flex: 10;
}

/* form specifique...: avec Trier box ligne... ***********************/
/* #form-trier { */
#form-choix-trie,
#form-choix-action,
#form-choix-nvle-action {
  width: 20rem;
  display: flex;
  flex-direction: row;
  /* flex-wrap: wrap; */
  justify-content: flex-start;
  align-items: center;
  /* align-content: center;  */
}
#form-choix-action {
  width: 26rem;
}
#form-choix-nvle-action {
  width: 32rem;
}

/* FORMULAIRE 1. Compétences / Langages / Technos ***/
.col-text-gauche {
  /* width: 45%; */
  flex: 1;

  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;

  text-align: left;
}
/*
form input[type="checkbox"] {
    transform: scale(2.5);
} */

#proj-elt {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: (repeat 15, 1fr);
  gap: 0px 10px;
  grid-auto-flow: column;
  grid-template-areas:
    "A1     B1"
    "A1     B2"
    "A1     B3"
    "A1     B4"
    "A1     B5"
    "A1     B6"
    "A1     B7"
    "A1     B8"
    "A1     B9"
    "A2     B10"
    "A2     B11"
    "A2     B12"
    "A2     B13"
    "A2     B14"
    "A3     B15";

  width: 80%;
  border: 3px solid orangered;
  border-radius: 10px;
  padding: 10px;
  margin: auto;
}
/* COL A ************/
#pb-img {
  grid-area: A1;
}
#pf-img {
  grid-area: A2;
}

/* COL B ************/
#pb-titre {
  grid-area: B1;
}
#pf-titre {
  grid-area: B2;
}
#pb-date {
  grid-area: B3;
}
#pf-date {
  grid-area: B4;
}
#pb-duree {
  grid-area: B5;
}
#pf-duree {
  grid-area: B6;
}
#pb-visible {
  grid-area: B7;
}
#pf-visible {
  grid-area: B8;
}
#pb-note {
  grid-area: B9;
}
#pf-note {
  grid-area: B10;
}
#pb-web {
  grid-area: B11;
}
#pf-web {
  grid-area: B12;
}
#pb-git {
  grid-area: B13;
}
#pf-git {
  grid-area: B14;
}
/* COL A et *********/
#pb-descript {
  grid-area: A3;
}
#pf-descript {
  grid-area: B15;
}
